<?php
/**
 * Header Theme options
 */
$wp_customize->add_section(
	'topbar_section',
	array(
		'priority'       => 1,
		'panel'          => 'construc',
		'title'          => __( 'Topbar Section', 'construc' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'topbar_section_on_off',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'construc_sanitize_checkbox',
		'default'     => false,
	)
);
$wp_customize->add_control(
	'topbar_section_on_off',
	array(
		'label'       => __( 'Topbar Section Section On//Off', 'construc' ),
		'section'     => 'topbar_section',
		'type'        => 'checkbox',
	)
);
$wp_customize->add_setting(
	'short_address',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'sanitize_text_field',
		'default'     => __( '3486 Oakway Lane Pomona, CA 91766', 'construc' ),
	)
);
$wp_customize->add_control(
	'short_address',
	array(
		'label'       => __( 'Short Address', 'construc' ),
		'section'     => 'topbar_section',
		'type'        => 'text',
		'active_callback' 	=> 'construc_topbar_show',
	)
);
$wp_customize->add_setting(
	'email_address',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'sanitize_text_field',
		'default'     => __( 'tfthemecafe@gmail.com', 'construc' ),
	)
);
$wp_customize->add_control(
	'email_address',
	array(
		'label'       => __( 'Email Address', 'construc' ),
		'section'     => 'topbar_section',
		'type'        => 'text',
		'active_callback' 	=> 'construc_topbar_show',
	)
);
$wp_customize->add_setting(
	'phone_number',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'sanitize_text_field',
		'default'     => __( '880179589456', 'construc' ),
	)
);
$wp_customize->add_control(
	'phone_number',
	array(
		'label'       => __( 'Phone Number', 'construc' ),
		'section'     => 'topbar_section',
		'active_callback' 	=> 'construc_topbar_show',
		'type'        => 'text',
	)
);
$wp_customize->add_setting(
	'display_social_icon',
	array(
		'transport'            => 'refresh',
		'capability'           => 'edit_theme_options',
		'sanitize_callback'     => 'construc_sanitize_checkbox',
		'default'     => true,
	)
);
$wp_customize->add_control(
	'display_social_icon',
	array(
		'label'       => __( 'Display Social Icon', 'construc' ),
		'section'     => 'topbar_section',
		'type'        => 'checkbox',
	)
);

/**
 * Sticky Header
 */
$wp_customize->add_section(
	'sticky_header_section',
	array(
		'priority'       => 1,
		'panel'          => 'construc',
		'title'          => __( 'Sticky Header', 'construc' ),
		'capability'     => 'edit_theme_options',
	)
);
$wp_customize->add_setting(
	'sticky_header',
	array(
		'default' => false,
		'transport'            => 'refresh', // Options: refresh or postMessage.
		'capability'           => 'edit_theme_options',
		'sanitize_callback'    => 'construc_sanitize_checkbox'
	)
);
$wp_customize->add_control(
	'sticky_header',
	array(
		'label'       => __( 'Sticky Header On//Off', 'construc' ),
		'section'     => 'sticky_header_section',
		'type'        => 'checkbox',
	)
);
